# Tracking user's activity in the cashier

From the Cashier frame to the external page information about the following user actions is transmitted:

&#x20;   ✔ cashier frame size

&#x20;   ✔ active tab (deposit, pay-out, history)

&#x20;   ✔ active PS

&#x20;   ✔ change the values of all fields: accounts, phones, prefixes, except secrets

&#x20;   ✔ changing the values of some switches: sum, save the details

&#x20;   ✔ send request "pay"

When a user performs an action, the script collects all available parameters and send them to the parent window in the following format:

```json
{ 
    "action": action, 
    "action_info": {[ 
        parameter: value
    ]} 
}
```

Valid values for **action**:

<table data-full-width="true"><thead><tr><th>Action</th><th>Description</th><th>Example</th></tr></thead><tbody><tr><td>select_menu</td><td>choose menu item</td><td><code>{"action":"select_menu","action_info":{"width":660,"height":238,"select_menu":"deposit","payment_system":"undefined"}}</code></td></tr><tr><td>select_payment_system</td><td>choose payment system</td><td><code>{"action":"select_payment_system","action_info":{"width":660,"height":732,"select_menu":"deposit","payment_system":"501","amount":"custom","custom_amount":6,"amount_button_index":5,"currency":"USD","remember_purse":"0"}}</code></td></tr><tr><td>amount_change</td><td>payment amount change</td><td><code>{"action":"amount_change","action_info":{"width":660,"height":732,"select_menu":"deposit","payment_system":"501","amount":"custom","custom_amount":6,"amount_button_index":5,"currency":"USD","remember_purse":"0"}}</code></td></tr><tr><td>purse_change</td><td>purse number change</td><td><code>{"action":"purse_change","action_info":{"width":660,"height":963,"select_menu":"deposit","payment_system":"2","amount":"custom","custom_amount":2000,"amount_button_index":5,"currency":"USD","wm_purse_prefix":"WME"}}</code></td></tr><tr><td>open_iframe</td><td>payment method opening in the Cashier after sending the form</td><td><code>{"action":"open_iframe", "action_info": {"width":1902, "height":596, "select_menu":"payout", "payment_system":2, "amount":"678", "currency":"USD", "purse":"897987879878", "wm_purse_prefix":"Z", "remember_purse":"1"}}</code></td></tr><tr><td>submit</td><td>opening the payment method in the external tab after sending the form</td><td><code>{"action":"submit", "action_info": {"width":1902, "height":596, "select_menu":"payout", "payment_system":2, "amount":"678", "currency":"USD", "purse":"897987879878", "wm_purse_prefix":"Z", "remember_purse":"1"}}</code></td></tr></tbody></table>

Valid values for **action\_info**:

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Type</th><th>Description</th><th>Example</th><th>Valid values</th></tr></thead><tbody><tr><td>width</td><td>int</td><td>iframe width</td><td>1902</td><td></td></tr><tr><td>height</td><td>int</td><td>iframe height</td><td>599</td><td></td></tr><tr><td>select_menu</td><td>string</td><td>chosen menu item</td><td>"payout"</td><td>"payout", "deposit", "financeHistory"</td></tr><tr><td>payment_system</td><td>int</td><td>chosen payment system</td><td>2</td><td>widget number</td></tr><tr><td>amount</td><td>string</td><td>chosen radiobutton amount</td><td>"678"</td><td>[0-9]{1,10} or "custom"</td></tr><tr><td>custom_amount</td><td>int</td><td>amount, entered by user</td><td>876</td><td>[0-9]{1,10}</td></tr><tr><td>currency</td><td>string</td><td>payment currency</td><td>"USD"</td><td>any iso 4217 alpha-3 currency value</td></tr><tr><td>purse</td><td>string</td><td>phone number or account number for selected payment system</td><td>"+44985783998"</td><td>phone or account number</td></tr><tr><td>wm_purse_prefix</td><td>string</td><td>purse type webmoney prefix</td><td>"Z"</td><td>"Z", "R", "E"</td></tr><tr><td>wm_is_invoice</td><td>string</td><td>webmoney payment by the invoice chosen</td><td>"1"</td><td>"0", "1"</td></tr><tr><td>wmid</td><td>string</td><td>webmoney identifier</td><td>"214231242123"</td><td>[0-9]{12}</td></tr><tr><td>net_account</td><td>string</td><td>neteller account</td><td>"214231242123" or "name@example.com"</td><td>email or [0-9]{12}</td></tr><tr><td>remember_purse</td><td>string</td><td>Save purse for instant payment</td><td>"1"</td><td>"0" or "1"</td></tr><tr><td>stored_purses</td><td>string</td><td>Using saved purse for instant payment</td><td>"1"</td><td>"0" or "1"</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carouseller.com/carouseller/cashier-integration/tracking-users-activity-in-the-cashier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
